/*
File: LogoutMessage.java
Date		Author		Changes
Aug 22 96	Lukasz Beca	Created
*/

package webwisdom.tango.messages;

import webwisdom.tango.consts.Const;
import webwisdom.tango.messages.Message;
import java.io.*;


/**
 * A class representing LOGOUT message
 * 
 *@author Lukasz Beca
 *@see Central Server - Local Demon protocol
 **/

public class LogoutMessage extends Message {
  
  private int UID;

/**
   * Creates a new LOGOUT message
   *@param UIDparam user number
   **/

  public LogoutMessage(int UIDparam) {

    UID = UIDparam;
    type = Const.LOGOUT;
  }

   /**
   * Creates a new LOGOUT message, information is read from the input stream
   *@param instream  input stream
   **/

  LogoutMessage(DataInputStream instream) throws IOException {
    
    
    UID = instream.readInt();
   
    type = Const.LOGOUT;
    
  }

 /**
   * Writes LOGOUT message to the output stream
   *@param outstream  output stream
   **/

  void send(DataOutputStream outstream) throws IOException {
       
    outstream.writeInt(Const.LOGOUT);
    outstream.writeInt(UID);
    outstream.flush();
   
  }

  /**
   * Returns user number
   **/  

  public int getUID() {

    return UID;
  }

}
